Search orders
curl --request GET \
--url https://api.byblend.com/api/v1/search/orders \
--header 'Authorization: Bearer <token>'{
"results": [
{
"rank": 0.7,
"is_patient_order": true,
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"address": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"address_1": "140 Lindgren Streets",
"address_2": "Apt 227",
"city": "North Consueloburgh",
"state": "CA",
"country": "US",
"type": "shipping",
"zip_code": "02108"
},
"custom_shipping": {
"label_url": "https://example.com/label.pdf",
"tracking_number": "TEST123456",
"tracking_url": "https://example.com/track/TEST123456",
"carrier": "UPS"
},
"customer_id": "b658f16f-819c-4503-aede-bd555fc4ebfb",
"external_id": "my-system-128318AA2",
"is_replacement": false,
"order_number": "ORD250312003548IAU4",
"original_order_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"patient": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"gender": "male",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"ssn": "123456789",
"primary_language": "en",
"guardian_name": "John Guardian",
"guardian_phone": "6417383445",
"guardian_email": "parent@example.com",
"guardian_relationship": "parent",
"height_inches": 72,
"weight_pounds": 180,
"external_id": "1234567890",
"is_smoker": false,
"is_diabetic": false,
"is_pregnant": false,
"receive_sms": true,
"receive_email": true,
"address": {
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"address_2": "Apt 227",
"country": "US"
}
},
"prescription_count": 1,
"priority_requested": false,
"cancellation_requested": false,
"replacement_order_ids": [
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
],
"replacement_reason": "Product arrived damaged",
"replacement_requested": false,
"replacement_request_status": "pending",
"replacement_requested_at": "2025-01-01T00:00:00Z",
"replacement_requested_reason": "Product arrived damaged",
"shipments": [
{
"carrier": "USPS",
"created_at": "2026-04-17T18:31:05.175498",
"delivered_at": "2026-04-17T18:31:05.175498",
"id": "0239CA06-9A71-4FFE-8A8D-5403540A19E7",
"service_level": "Ground Advantage",
"status": "shipped",
"tracking_number": "9200190347375200467807",
"tracking_url": "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9200190347375200467807"
}
],
"shipping": {
"carrier": "usps",
"service_level": "usps_ground_advantage"
},
"status": "received"
}
]
}Search
Search orders
Search orders by order number, ID, patient fields, or a substring.
GET
/
api
/
v1
/
search
/
orders
Search orders
curl --request GET \
--url https://api.byblend.com/api/v1/search/orders \
--header 'Authorization: Bearer <token>'{
"results": [
{
"rank": 0.7,
"is_patient_order": true,
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"address": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"address_1": "140 Lindgren Streets",
"address_2": "Apt 227",
"city": "North Consueloburgh",
"state": "CA",
"country": "US",
"type": "shipping",
"zip_code": "02108"
},
"custom_shipping": {
"label_url": "https://example.com/label.pdf",
"tracking_number": "TEST123456",
"tracking_url": "https://example.com/track/TEST123456",
"carrier": "UPS"
},
"customer_id": "b658f16f-819c-4503-aede-bd555fc4ebfb",
"external_id": "my-system-128318AA2",
"is_replacement": false,
"order_number": "ORD250312003548IAU4",
"original_order_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"patient": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"gender": "male",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"ssn": "123456789",
"primary_language": "en",
"guardian_name": "John Guardian",
"guardian_phone": "6417383445",
"guardian_email": "parent@example.com",
"guardian_relationship": "parent",
"height_inches": 72,
"weight_pounds": 180,
"external_id": "1234567890",
"is_smoker": false,
"is_diabetic": false,
"is_pregnant": false,
"receive_sms": true,
"receive_email": true,
"address": {
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"address_2": "Apt 227",
"country": "US"
}
},
"prescription_count": 1,
"priority_requested": false,
"cancellation_requested": false,
"replacement_order_ids": [
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
],
"replacement_reason": "Product arrived damaged",
"replacement_requested": false,
"replacement_request_status": "pending",
"replacement_requested_at": "2025-01-01T00:00:00Z",
"replacement_requested_reason": "Product arrived damaged",
"shipments": [
{
"carrier": "USPS",
"created_at": "2026-04-17T18:31:05.175498",
"delivered_at": "2026-04-17T18:31:05.175498",
"id": "0239CA06-9A71-4FFE-8A8D-5403540A19E7",
"service_level": "Ground Advantage",
"status": "shipped",
"tracking_number": "9200190347375200467807",
"tracking_url": "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9200190347375200467807"
}
],
"shipping": {
"carrier": "usps",
"service_level": "usps_ground_advantage"
},
"status": "received"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query
Example:
"ORD8272"
Optional limit on the number of results to return. Max is 100, default is 50.
Example:
10
Response
200 - application/json
Successful response with array of orders
Show child attributes
Show child attributes
⌘I